> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all Mass Beneficiaries submissions

Obtain the full list of mass beneficiaries async process status for a given client\_id. The status field will provide the latest status whether processing is complete or still running.


## OpenAPI

````yaml /openapi.json get /mass-beneficiaries
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /mass-beneficiaries:
    get:
      tags:
        - Mass Beneficiaries
      summary: Retrieve all Mass Beneficiaries submissions
      description: >-
        Obtain the full list of mass beneficiaries async process status for a
        given client_id
      parameters:
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - description: The desired page number for pagination. By default is 1.
          in: query
          name: page
          required: false
          schema:
            type: integer
            format: int32
        - description: The number of items per page for pagination. By default is 50.
          in: query
          name: page-size
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: List of mass beneficiary submissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMassBeneficiariesResponse'
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: >-
            Could not complete action due to data constraints. Refer to error
            message for additional details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '429':
          description: Too many requests
        '502':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    GetMassBeneficiariesResponse:
      items:
        $ref: '#/components/schemas/MassBeneficiary'
      type: array
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    MassBeneficiary:
      description: A representation of a mass beneficiary.
      properties:
        mass_beneficiary_id:
          description: Unique UUID of the mass beneficiary
          type: string
          format: uuid
        error:
          $ref: '#/components/schemas/ErrorMessage'
        links:
          $ref: '#/components/schemas/LinksMassBeneficiary'
        summary:
          $ref: '#/components/schemas/MassBeneficiarySummary'
        status:
          $ref: '#/components/schemas/EnumMassBeneficiaryStatus'
      type: object
    LinksMassBeneficiary:
      description: >-
        Links for the mass beneficiary related information. Each link helps the
        user agent to fetch resources related to errored beneficiaries, and also
        those created successfully. The mass_beneficiary_id does not need to be
        stored as the said resources may be accessed with the provided links.
      properties:
        errors_href:
          description: The link to the errors endpoint
          type: string
        created_href:
          description: The link to the result endpoint
          type: string
      type: object
    MassBeneficiarySummary:
      description: Categorized counters for the mass beneficiary.
      properties:
        received:
          description: Total count of received beneficiaries
          type: number
        created:
          description: Total count of created beneficiaries
          type: number
        errored:
          description: Total count of errored beneficiaries
          type: number
      type: object
    EnumMassBeneficiaryStatus:
      description: >-
        This is an enumeration of the status of every mass beneficiary
        instruction
      enum:
        - pending
        - creating
        - created
        - failed
        - unknown
      type: string
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````